Table of Contents

## Name

XtTranslateCoords - translate widget coordinates

## Syntax

void XtTranslateCoords(w, x, y, rootx_return, rooty_return)
Widget w;
Position x, y;
Position *rootx_return, *rooty_return;

## Arguments

rootx_return
rooty_return
  Returns the root-relative x and y coordinates.
x
y
  Specify the widget-relative x and y coordinates.
w
  Specifies the widget.

## Description

While XtTranslateCoords is similar to the Xlib XTranslateCoordinates function, it does not generate a server request because all the required information already is in the widget's data structures.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also